Package twisted :: Package names :: Module server

[show private | hide private]
[frames | no frames]

## Module twisted.names.server

Async DNS server

API Stability: Unstable

Future plans:

- Better config file format maybe
- Make sure to differentiate between different classes
- notice truncation bit
- zone transfers, oh man, how will I do this! I have no idea.
- Also, authorization probably needs to go in a better place, and be expanded to more than it is now, obviously.

Important: No additional processing is done on any record type. This violates the most basic RFC and is just plain annoying for resolvers to deal with. Fix it.

Author: Jp Calderone <exarkun@twistedmatrix.com>

Classes
`DNSServerFactory` |

Variable Summary
`_Feature` | `nested_scopes`

Variable Details

### nested_scopes

  Type:
    `_Feature`
  Value:

        Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'final', 0))

Generated by Epydoc 1.1 on Sat Feb 15 21:17:56 2003 | http://epydoc.sf.net